package cn.nhyw.yjjl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywgyssbyjjtsbDao")
public class NhywgyssbyjjtsbDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywgyssbyjjtsb(Map map) throws SQLException{
		this.insert("insert_Nhywgyssbyjjtsb",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywgyssbyjjtsb(List batch) throws SQLException{
		this.insert("batch_insert_Nhywgyssbyjjtsb",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywgyssbyjjtsb(Map map) throws SQLException{
		return this.update("update_Nhywgyssbyjjtsb",map);
	}

	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywgyssbyjjtsb(Map map) throws SQLException{
		return this.delete("delete_Nhywgyssbyjjtsb",map);
	}

	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywgyssbyjjtsb(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywgyssbyjjtsb",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywgyssbyjjtsb(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywgyssbyjjtsb",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywgyssbyjjtsb(Map map) throws SQLException{
		return this.queryForPage("query_Nhywgyssbyjjtsb",map);
	}
	
	
	/**
	 * 查询列表记录
	 */	
	public Map get_Nhywgyssbyjjtsb(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywgyssbyjjtsb",map);
	}
	
}
